package es.cipfpbatoi.modelo;
// Generated 31 ene 2023 11:09:24 by Hibernate Tools 4.3.6.Final

import java.util.HashSet;
import java.util.Set;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.OneToMany;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

/**
 * Country generated by hbm2java
 */
@Entity
@Table(name = "country", catalog = "sakila")
@Getter @Setter
public class Country implements java.io.Serializable {
	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "country_id", unique = true, nullable = false)
	private Short countryId;
	
	@Column(name = "country", nullable = false, length = 50)
	private String country;
	
	@OneToMany(fetch = FetchType.LAZY, mappedBy = "country")
	private Set<City> cities = new HashSet<City>(0);

	public Country() {
	}

	public Country(String country) {
		this.country = country;
	}

	public Country(String country, Set<City> cities) {
		this.country = country;
		this.cities = cities;
	}

	
//	public Short getCountryId() {
//		return this.countryId;
//	}
//
//	public void setCountryId(Short countryId) {
//		this.countryId = countryId;
//	}
//	
//	public String getCountry() {
//		return this.country;
//	}
//
//	public void setCountry(String country) {
//		this.country = country;
//	}
//	
//	public Set<City> getCities() {
//		return this.cities;
//	}
//
//	public void setCities(Set<City> cities) {
//		this.cities = cities;
//	}

}
